List of query parameters
When sending a request of the type
DELETE (deleting products from the platform), it is sufficient to list the identifiers (the id) of the products that need to be removed as demonstrated in this example.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Delete products from Kameleoon by ID to prevent them from appearing in recommendation results.
DELETE https://api.products.kameleoon.com/import/products
| Parameter | Type | Required | Description |
|---|---|---|---|
shop_id | String | Yes | Your Store Key. You can find this in Recommendations > Settings > Store settings in the Kameleoon app. You can also contact your Customer Success Manager for the key. |
shop_secret | String | Yes | Your Secret Key. You can find this in Recommendations > Settings > Store settings in the Kameleoon app. You can also contact your Customer Success Manager for the key. |
items | List | Yes | A list of product IDs. |
DELETE (deleting products from the platform), it is sufficient to list the identifiers (the id) of the products that need to be removed as demonstrated in this example.
{
"shop_id": "eehj3eu84299kg5ghw5a6743r8",
"shop_secret": "pmd5362597thrgq8k256ep01t0",
"items": ["1635", "3743", "7578", "432"]
}
Was this page helpful?